//
//  The Pimp      The Pathetic Image Manipulation Program
//  Copyright (c) 2008 Sam Hocevar <sam@zoy.org>
//                All Rights Reserved
//
//  $Id$
//
//  This library is free software. It comes without any warranty, to
//  the extent permitted by applicable law. You can redistribute it
//  and/or modify it under the terms of the Do What The Fuck You Want
//  To Public License, Version 2, as published by Sam Hocevar. See
//  http://sam.zoy.org/wtfpl/COPYING for more details.
//

using System;
using Gtk;

namespace ThePimp
{
    public partial class OpenFile : Gtk.Dialog
    {
        private static readonly OpenFile instance = new OpenFile();

        // Do not mark type as beforefieldinit
        static OpenFile() {}

        private OpenFile()
        {
            this.Build();
        }

        public static string GetChoice()
        {
            instance.ShowAll();
            ResponseType rsp = (ResponseType)instance.Run();
            instance.Hide();
            if(rsp != ResponseType.Ok)
                return null;
            return instance.filechooserwidget1.Filename;
        }

        protected virtual void OnFilechooserwidget1FileActivated (object sender, System.EventArgs e)
        {
            Respond(ResponseType.Ok);
        }
    }
}
